Index: sandbox/workflow/trunk/inc/class.ui_orgchart.inc.php
===================================================================
--- sandbox/workflow/trunk/inc/class.ui_orgchart.inc.php	(revision 795)
+++ sandbox/workflow/trunk/inc/class.ui_orgchart.inc.php	(revision 2372)
@@ -1,5 +1,5 @@
 <?php
 
-	/**************************************************************************\
+/**************************************************************************\
 * eGroupWare                                                 *
 * http://www.egroupware.org                                                *
@@ -12,5 +12,5 @@
 
 require_once(dirname(__FILE__) . SEP . 'class.ui_ajaxinterface.inc.php');
-require_once(dirname(__FILE__) . SEP . 'class.workflow_acl.inc.php');
+
 /**
  * @package Workflow
@@ -47,5 +47,5 @@
 	function draw($tab_index = "")
 	{
-		$this->workflow_acl = CreateObject('workflow.workflow_acl');
+		$this->workflow_acl = Factory::getInstance('workflow_acl');
 
 		$isAdmin = $this->workflow_acl->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']);
@@ -63,5 +63,5 @@
 
 		$GLOBALS['phpgw_info']['flags'] = array('noheader' => false, 'nonavbar' => false, 'currentapp' => 'workflow');
-		$smarty = CreateObject('workflow.workflow_smarty');
+		$smarty = Factory::getInstance('workflow_smarty');
 
 		$this->set_wf_session();
@@ -104,10 +104,8 @@
 			die();
 
-		require_once(dirname(__FILE__) . SEP . 'engine' . SEP . 'src' . SEP . 'ProcessManager' . SEP . 'GraphViz.php');
-
-		$config_values = CreateObject('phpgwapi.config','workflow');
+		$config_values = Factory::getInstance('config', 'workflow');
 		$config_values->read_repository();
-		$conf_db = $config_values->config_data;	
-		$db = CreateObject('phpgwapi.db');
+		$conf_db = $config_values->config_data;
+		$db = Factory::getInstance('db');
 		$db->connect(
 			$conf_db['database_name'],
@@ -122,5 +120,5 @@
 		$attributes['ranksep'] = '1.5 equally';
 		$attributes['rankdir'] = 'LR';
-		$graph = new Process_GraphViz(true, $attributes);
+		$graph = &Factory::getInstance('Process_GraphViz', true, $attributes);
 
 
@@ -153,5 +151,5 @@
 				return false;
 
-			$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+			$ldap = &Factory::getInstance('WorkflowLDAP');
 			for ($i = 0; $i < count($output); $i++)
 			{
Index: sandbox/workflow/trunk/inc/class.bo_editor.inc.php
===================================================================
--- sandbox/workflow/trunk/inc/class.bo_editor.inc.php	(revision 795)
+++ sandbox/workflow/trunk/inc/class.bo_editor.inc.php	(revision 2372)
@@ -11,6 +11,4 @@
 
 require_once('class.bo_ajaxinterface.inc.php');
-require_once(GALAXIA_LIBRARY . SEP . 'src' . SEP . 'ProcessManager' . SEP . 'ActivityManager.php');
-require_once(GALAXIA_LIBRARY . SEP . 'src' . SEP . 'ProcessManager' . SEP . 'ProcessManager.php');
 /**
  * @package Workflow
@@ -234,5 +232,5 @@
 		if ($p['tipo_codigo'] != 'include')
 		{
-			$activity_manager   = new ActivityManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+			$activity_manager   = &Factory::newInstance('ActivityManager');
 
 			if ($this->check_process($p['proc_id'], &$activity_manager, &$error_str) == 'n')
Index: sandbox/workflow/trunk/inc/class.ui_monitors.inc.php
===================================================================
--- sandbox/workflow/trunk/inc/class.ui_monitors.inc.php	(revision 795)
+++ sandbox/workflow/trunk/inc/class.ui_monitors.inc.php	(revision 2372)
@@ -12,5 +12,4 @@
 
 require_once(dirname(__FILE__) . SEP . 'class.ui_ajaxinterface.inc.php');
-require_once(dirname(__FILE__) . SEP . 'class.workflow_acl.inc.php');
 /**
  * @package Workflow
@@ -37,5 +36,5 @@
 	{
 		$this->set_wf_session();
-		$this->workflow_acl = new workflow_acl();
+		$this->workflow_acl = Factory::getInstance('workflow_acl');
 
 		if (!($this->workflow_acl->checkUserGroupAccessToType('MON', $_SESSION['phpgw_info']['workflow']['account_id']) || ($this->workflow_acl->checkWorkflowAdmin($_SESSION['phpgw_info']['workflow']['account_id']))))
@@ -58,5 +57,5 @@
 		$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('%1 monitoring');
 		$GLOBALS['phpgw_info']['flags'] = array('noheader' => false, 'nonavbar' => false, 'currentapp' => 'workflow');
-		$smarty = CreateObject('workflow.workflow_smarty');
+		$smarty = Factory::getInstance('workflow_smarty');
 
 		$javaScripts = $this->get_common_js();
Index: sandbox/workflow/trunk/inc/class.ui_adminaccess.inc.php
===================================================================
--- sandbox/workflow/trunk/inc/class.ui_adminaccess.inc.php	(revision 795)
+++ sandbox/workflow/trunk/inc/class.ui_adminaccess.inc.php	(revision 2372)
@@ -41,5 +41,5 @@
 	function ui_adminaccess()
 	{
-		if (!$GLOBALS['workflow']['factory']->getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']))
+		if (!Factory::getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']))
 		{
 			$GLOBALS['phpgw']->common->phpgw_header();
@@ -63,5 +63,5 @@
 		$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('Access Control List');
 		$GLOBALS['phpgw_info']['flags'] = array('noheader' => false, 'nonavbar' => false, 'currentapp' => 'workflow');
-		$smarty = CreateObject('workflow.workflow_smarty');
+		$smarty = Factory::getInstance('workflow_smarty');
 
 		$javaScripts = $this->get_common_js();
Index: sandbox/workflow/trunk/inc/class.bo_external_applications.inc.php
===================================================================
--- sandbox/workflow/trunk/inc/class.bo_external_applications.inc.php	(revision 795)
+++ sandbox/workflow/trunk/inc/class.bo_external_applications.inc.php	(revision 2372)
@@ -11,5 +11,4 @@
 \**************************************************************************/
 
-require_once('class.so_external_applications.inc.php');
 require_once('class.bo_ajaxinterface.inc.php');
 /**
@@ -34,5 +33,5 @@
 	{
 		parent::bo_ajaxinterface();
-		$this->so = new so_external_applications();
+		$this->so = &Factory::getInstance('so_external_applications');
 	}
 
Index: sandbox/workflow/trunk/index.php
===================================================================
--- sandbox/workflow/trunk/index.php	(revision 2193)
+++ sandbox/workflow/trunk/index.php	(revision 2372)
@@ -21,6 +21,5 @@
 			require_once dirname(__FILE__) . '/inc/nano/JSON.php';
 			require_once dirname(__FILE__) . '/inc/nano/NanoJsonConverter.class.php';
-			require_once dirname(__FILE__) . '/inc/nano/NanoController.class.php';
-			$nanoController = new NanoController();
+			$nanoController = &Factory::newInstance('NanoController');
 			$nanoController->throwErrorOnAllVirtualRequests('__NANOAJAX_SESSION_EXPIRED__');
 			exit;
